package com.huimv.admin.device.service;

import com.huimv.common.utils.Result;

import java.io.UnsupportedEncodingException;

public interface IDevice {
    //
    Result newDevice(String deviceName, String deviceCode, String deviceType, String factory, String worker, String mainParams, Integer state, String record, Integer farmId) throws UnsupportedEncodingException;

    //
    Result editDevice(String deviceName, String deviceCode, String deviceType, String factory, String worker, String mainParams, Integer state, String record, Integer farmId, Integer id) throws UnsupportedEncodingException;

    //
    Result removeDevice(Integer id, Integer farmId) throws UnsupportedEncodingException;

    Result removeBatichDevice(String ids, Integer farmId);

    //
    Result listDevice(String deviceName, String deviceCode, String deviceType, String factory, String worker, Integer state, Integer farmId, String startDate, String endDate, Integer pageNo, Integer pageSize);

    //
    Result getCountDeviceFailureRate(Integer farmId, Integer bit);
}
